Bug 181290 - curl-devel.i386 not installable together with curl-devel.x86-64
curl-devel.i386 not installable together with curl-devel.x86-64
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
Blocks: 171491
  Show dependency treegraph
Reported: 2006-02-12 16:59 EST by H. Peter Anvin
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 09:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2006-02-12 16:59:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
It is not possible to install curl-devel.i386 and curl-devel.x86_64 at the same time.  This means it's not possible to cross-build a 32-bit curl-using application on an x86-64 system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Try to build a curl-using application, like git, as a 32-bit app on an x86-64 system.

Additional info:
Comment 1 Rahul Sundaram 2006-02-20 05:39:20 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Ivana Varekova 2006-02-23 10:07:10 EST
The last version of curl package (7.15.1-2) fix this bug. If this problem appear
 on 7.15.1-2 or later version, please reopen this bug. Thank you. 
Comment 3 Warren Togami 2006-03-04 00:30:19 EST
This package has not made it into FC5 because you did not request moving by the
process stated through management channels, os-devel-list, and the above URL.

Furthermore, are you sure this actually fixes the multilib problem between i386
and x86_64?

[wtogami@host 7.15.1-2]$ rpm -qpl i386/curl-devel-7.15.1-2.i386.rpm  |grep bin
[wtogami@host 7.15.1-2]$ rpm -qpl x86_64/curl-devel-7.15.1-2.x86_64.rpm |grep bin

curl-config cannot be the same location but different files on multilib.
Comment 4 Ivana Varekova 2006-03-21 09:25:42 EST
The fixed versions are curl-7.15.3-1 (devel), curl-7.15.1-3 (fc5). If there is
any problem please reopen this bug. 

Note You need to log in before you can comment on or make changes to this bug.